﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
        </Scripts>
    </asp:ScriptManager>
    <telerik:RadScriptBlock ID="ScriptBlock1" runat="server">
        <script type="text/javascript">


        </script>
    </telerik:RadScriptBlock>
    <telerik:RadListView ID="RadListView1" PageSize="1" AllowPaging="true" runat="server"
        DataKeyNames="ProductID" DataSourceID="SqlDataSource1" Skin="Forest">
        <LayoutTemplate>
            <div class="RadListView RadListView_Forest">
                <table cellspacing="0" style="width: 100%;">
                    <thead>
                        <tr class="rlvHeader">
                            <th>
                                &nbsp;
                            </th>
                            <th>
                                ProductID
                            </th>
                            <th>
                                ProductName
                            </th>
                            <th>
                                SupplierID
                            </th>
                            <th>
                                CategoryID
                            </th>
                            <th>
                                QuantityPerUnit
                            </th>
                            <th>
                                UnitPrice
                            </th>
                            <th>
                                UnitsInStock
                            </th>
                            <th>
                                UnitsOnOrder
                            </th>
                            <th>
                                ReorderLevel
                            </th>
                            <th>
                                Discontinued
                            </th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="11">
                                <telerik:RadDataPager ID="RadDataPager1" runat="server" Skin="Forest">
                                    <Fields>
                                        <telerik:RadDataPagerButtonField FieldType="FirstPrev" />
                                        <telerik:RadDataPagerButtonField FieldType="NextLast" />
                                    </Fields>
                                </telerik:RadDataPager>
                            </td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <tr id="itemPlaceholder" runat="server">
                        </tr>
                    </tbody>
                </table>
            </div>
        </LayoutTemplate>
        <ItemTemplate>
            <tr class="rlvI">
                <td>
                    <asp:Button ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                        CssClass="rlvBDel" Text=" " ToolTip="Delete" />
                    <asp:Button ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                        CssClass="rlvBEdit" Text=" " ToolTip="Edit" />
                </td>
                <td>
                    <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                </td>
                <td>
                    <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                </td>
                <td>
                    <asp:Label ID="SupplierIDLabel" runat="server" Text='<%# Eval("SupplierID") %>' />
                </td>
                <td>
                    <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                </td>
                <td>
                    <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitsOnOrderLabel" runat="server" Text='<%# Eval("UnitsOnOrder") %>' />
                </td>
                <td>
                    <asp:Label ID="ReorderLevelLabel" runat="server" Text='<%# Eval("ReorderLevel") %>' />
                </td>
                <td>
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Eval("Discontinued") %>'
                        Enabled="false" />
                </td>
            </tr>
        </ItemTemplate>
        <AlternatingItemTemplate>
            <tr class="rlvA">
                <td>
                    <asp:Button ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                        CssClass="rlvBDel" Text=" " ToolTip="Delete" />
                    <asp:Button ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                        CssClass="rlvBEdit" Text=" " ToolTip="Edit" />
                </td>
                <td>
                    <asp:Label ID="ProductIDLabel" runat="server" Text='<%# Eval("ProductID") %>' />
                </td>
                <td>
                    <asp:Label ID="ProductNameLabel" runat="server" Text='<%# Eval("ProductName") %>' />
                </td>
                <td>
                    <asp:Label ID="SupplierIDLabel" runat="server" Text='<%# Eval("SupplierID") %>' />
                </td>
                <td>
                    <asp:Label ID="CategoryIDLabel" runat="server" Text='<%# Eval("CategoryID") %>' />
                </td>
                <td>
                    <asp:Label ID="QuantityPerUnitLabel" runat="server" Text='<%# Eval("QuantityPerUnit") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitPriceLabel" runat="server" Text='<%# Eval("UnitPrice") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitsInStockLabel" runat="server" Text='<%# Eval("UnitsInStock") %>' />
                </td>
                <td>
                    <asp:Label ID="UnitsOnOrderLabel" runat="server" Text='<%# Eval("UnitsOnOrder") %>' />
                </td>
                <td>
                    <asp:Label ID="ReorderLevelLabel" runat="server" Text='<%# Eval("ReorderLevel") %>' />
                </td>
                <td>
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Eval("Discontinued") %>'
                        Enabled="false" />
                </td>
            </tr>
        </AlternatingItemTemplate>
        <EditItemTemplate>
            <tr class="rlvIEdit">
                <td colspan="11">
                    <table cellspacing="0" class="rlvEditTable">
                        <tr>
                            <td>
                                <asp:Label ID="ProductIDLabel2" runat="server" Text="ProductID"></asp:Label>
                            </td>
                            <td>
                                <asp:Label ID="ProductIDLabel1" runat="server" Text='<%# Eval("ProductID") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="ProductNameLabel2" runat="server" AssociatedControlID="ProductNameTextBox"
                                    Text="ProductName"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="ProductNameTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("ProductName") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="SupplierIDLabel2" runat="server" AssociatedControlID="SupplierIDTextBox"
                                    Text="SupplierID"></asp:Label>
                            </td>
                            <td>
                                <telerik:RadNumericTextBox ID="SupplierIDTextBox" runat="server" DataType="Int32"
                                    DbValue='<%# Bind("SupplierID") %>' NumberFormat-DecimalDigits="0" Skin="<%#Container.OwnerListView.Skin %>" />
                            </td>
                        </tr>
                        <tr>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="Label1" runat="server" AssociatedControlID="CategoryTextBox" Text="Category"></asp:Label>
                            </td>
                            <td>
                                <telerik:RadComboBox ID="combo" Skin="Forest" DataValueField="CategoryID" DataTextField="CategoryName"
                                    runat="server">
                                </telerik:RadComboBox>
                            </td>
                        </tr>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="QuantityPerUnitLabel2" runat="server" AssociatedControlID="QuantityPerUnitTextBox"
                        Text="QuantityPerUnit"></asp:Label>
                </td>
                <td>
                    <asp:TextBox ID="QuantityPerUnitTextBox" runat="server" CssClass="rlvInput" Text='<%# Bind("QuantityPerUnit") %>' />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="UnitPriceLabel2" runat="server" AssociatedControlID="UnitPriceTextBox"
                        Text="UnitPrice"></asp:Label>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="UnitPriceTextBox" runat="server" DataType="Decimal"
                        DbValue='<%# Bind("UnitPrice") %>' Skin="<%#Container.OwnerListView.Skin %>" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="UnitsInStockLabel2" runat="server" AssociatedControlID="UnitsInStockTextBox"
                        Text="UnitsInStock"></asp:Label>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="UnitsInStockTextBox" runat="server" DataType="Int16"
                        DbValue='<%# Bind("UnitsInStock") %>' NumberFormat-DecimalDigits="0" Skin="<%#Container.OwnerListView.Skin %>" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="UnitsOnOrderLabel2" runat="server" AssociatedControlID="UnitsOnOrderTextBox"
                        Text="UnitsOnOrder"></asp:Label>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="UnitsOnOrderTextBox" runat="server" DataType="Int16"
                        DbValue='<%# Bind("UnitsOnOrder") %>' NumberFormat-DecimalDigits="0" Skin="<%#Container.OwnerListView.Skin %>" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="ReorderLevelLabel2" runat="server" AssociatedControlID="ReorderLevelTextBox"
                        Text="ReorderLevel"></asp:Label>
                </td>
                <td>
                    <telerik:RadNumericTextBox ID="ReorderLevelTextBox" runat="server" DataType="Int16"
                        DbValue='<%# Bind("ReorderLevel") %>' NumberFormat-DecimalDigits="0" Skin="<%#Container.OwnerListView.Skin %>" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label ID="DiscontinuedLabel2" runat="server" AssociatedControlID="DiscontinuedCheckBox"
                        Text="Discontinued"></asp:Label>
                </td>
                <td>
                    <asp:CheckBox ID="DiscontinuedCheckBox" runat="server" Checked='<%# Bind("Discontinued") %>' />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" CssClass="rlvBUpdate"
                        Text=" " ToolTip="Update" />
                    <asp:Button ID="CancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                        CssClass="rlvBCancel" Text=" " ToolTip="Cancel" />
                </td>
                </table> </td>
            </tr>
        </EditItemTemplate>
    </telerik:RadListView>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" SelectCommand="SELECT * FROM [Categories]"
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"></asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT * FROM [Products]" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID"
        InsertCommand="INSERT INTO [Products] ([ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued]) VALUES (@ProductName, @SupplierID, @CategoryID, @QuantityPerUnit, @UnitPrice, @UnitsInStock, @UnitsOnOrder, @ReorderLevel, @Discontinued)"
        UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [SupplierID] = @SupplierID, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice, [UnitsInStock] = @UnitsInStock, [UnitsOnOrder] = @UnitsOnOrder, [ReorderLevel] = @ReorderLevel, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
        <DeleteParameters>
            <asp:Parameter Name="ProductID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="SupplierID" Type="Int32" />
            <asp:Parameter Name="CategoryID" Type="Int32" />
            <asp:Parameter Name="QuantityPerUnit" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="UnitsInStock" Type="Int16" />
            <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
            <asp:Parameter Name="ReorderLevel" Type="Int16" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
            <asp:Parameter Name="ProductID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="SupplierID" Type="Int32" />
            <asp:Parameter Name="CategoryID" Type="Int32" />
            <asp:Parameter Name="QuantityPerUnit" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="UnitsInStock" Type="Int16" />
            <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
            <asp:Parameter Name="ReorderLevel" Type="Int16" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
        </InsertParameters>
    </asp:SqlDataSource>
    </form>
</body>
</html>
